Package com.emc.documentum.rest.dfc

# Interface TypeManager

public interface TypeManager
interface to manage type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getCustomAttributes(String type)`
  get custom type attribute the assumption is custom type won't start with dm_ for any type start with dm_, nothing will be returned
  `TypeObject`
  `getTypeDefinition(com.documentum.fc.client.IDfSession session, String type, AttributeView attrAttributeView, boolean inherited, boolean convertType)`
  Deprecated.
  use `getTypeDefinition(String, TypeParameter)`
  `TypeObject`
  `getTypeDefinition(com.documentum.fc.client.IDfSession session, String type, String locale, boolean inherited, boolean convertAttrType)`
  Deprecated.
  use `getTypeDefinition(String, TypeParameter)`
  `TypeObject`
  `getTypeDefinition(com.documentum.fc.client.IDfSession session, String type, String locale, boolean inherited, boolean convertAttrType, String policyId, String state, boolean includeVA)`
  Deprecated.
  use `getTypeDefinition(String, TypeParameter)`
  `TypeObject`
  `getTypeDefinition(com.documentum.fc.client.IDfTypedObject dfType, AttributeView attrAttributeView, boolean inherited, boolean convertType)`
  Deprecated.
  use `getTypeDefinition(String, TypeParameter)`
  `TypeObject`
  `getTypeDefinition(com.documentum.fc.client.IDfTypedObject dfType, TypeParameter typeParameter)`
  get the type definition by the query result against the dm_type only only basic attribute can be included, all other DD info won't be added no extra query will be executed
  `TypeObject`
  `getTypeDefinition(String type, AttributeView attrAttributeView, boolean inherited, boolean convertType)`
  Deprecated.
  use `getTypeDefinition(String, TypeParameter)`
  `TypeObject`
  `getTypeDefinition(String type, TypeParameter typeParameter)`
  get the type definition
  `TypeObject`
  `getTypeDefinition(String type, String locale, boolean inherited, boolean convertAttrType)`
  Deprecated.
  use `getTypeDefinition(String, TypeParameter)`
  `TypeObject`
  `getTypeDefinition(String type, String locale, boolean inherited, boolean convertAttrType, String policyId, String state, boolean includeVA)`
  Deprecated.
  use `getTypeDefinition(String, TypeParameter)`

- ## Method Details

  - ### getTypeDefinition

    @Deprecated TypeObject getTypeDefinition(String type, String locale, boolean inherited, boolean convertAttrType, String policyId, String state, boolean includeVA) throws com.documentum.fc.common.DfException
    Deprecated.
    use `getTypeDefinition(String, TypeParameter)`
    Get type definition specified by the type name
    Parameters:
      `type` - the type name
      `locale` - the label locale
      `inherited` - true, show inherited properties, otherwise, only show non-inherited properties
      `convertAttrType` - whether convert type
      `policyId` - the id of life-cycle policy object
      `state` - the state name of life-cycle
      `includeVA` - whether include value assist definition
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getTypeDefinition

    @Deprecated TypeObject getTypeDefinition(String type, String locale, boolean inherited, boolean convertAttrType) throws com.documentum.fc.common.DfException
    Deprecated.
    use `getTypeDefinition(String, TypeParameter)`
    Get type definition specified by the type name
    Parameters:
      `type` - the type name
      `locale` - the label locale
      `inherited` - true, show inherited properties, otherwise, only show non-inherited properties
      `convertAttrType` - whether convert type
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getTypeDefinition

    @Deprecated TypeObject getTypeDefinition(com.documentum.fc.client.IDfSession session, String type, String locale, boolean inherited, boolean convertAttrType, String policyId, String state, boolean includeVA) throws com.documentum.fc.common.DfException
    Deprecated.
    use `getTypeDefinition(String, TypeParameter)`
    Get type definition specified by the type name with session
    Parameters:
      `session` - the dfc session
      `type` - the type name
      `locale` - the label locale
      `inherited` - true, show inherited properties, otherwise, only show non-inherited properties
      `convertAttrType` - whether convert type
      `policyId` - the id of life-cycle policy object
      `state` - the state name of life-cycle
      `includeVA` - whether include value assist definition
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getTypeDefinition

    @Deprecated TypeObject getTypeDefinition(com.documentum.fc.client.IDfSession session, String type, String locale, boolean inherited, boolean convertAttrType) throws com.documentum.fc.common.DfException
    Deprecated.
    use `getTypeDefinition(String, TypeParameter)`
    Get type definition specified by the type name with session
    Parameters:
      `session` - the dfc session
      `type` - the type name
      `locale` - the label locale
      `inherited` - true, show inherited properties, otherwise, only show non-inherited properties
      `convertAttrType` - whether convert type
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getTypeDefinition

    @Deprecated TypeObject getTypeDefinition(String type, AttributeView attrAttributeView, boolean inherited, boolean convertType) throws com.documentum.fc.common.DfException
    Deprecated.
    use `getTypeDefinition(String, TypeParameter)`
    Get type definition specified by the type name with session The returned result only contains info from dm_type The type property's attributes is controlled by attributeView. AttributeView.NONE will return attr_name only, others return all available property attributes
    Parameters:
      `type` - the type name
      `attrAttributeView` - the attribute view
      `inherited` - indicates whether to include inherited attributes. `true` to include inherited attributes.
      `convertType` - whether convert type
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getTypeDefinition

    @Deprecated TypeObject getTypeDefinition(com.documentum.fc.client.IDfSession session, String type, AttributeView attrAttributeView, boolean inherited, boolean convertType) throws com.documentum.fc.common.DfException
    Deprecated.
    use `getTypeDefinition(String, TypeParameter)`
    Get type definition specified by the type name with session The returned result only contains info from dm_type The type property's attributes is controlled by attributeView. AttributeView.NONE will return attr_name only, others return all available property attributes
    Parameters:
      `session` - the DFC session
      `type` - the type name
      `attrAttributeView` - the attribute view
      `inherited` - indicates whether to include inherited attributes. `true` to include inherited attributes.
      `convertType` - whether convert type
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getTypeDefinition

    @Deprecated TypeObject getTypeDefinition(com.documentum.fc.client.IDfTypedObject dfType, AttributeView attrAttributeView, boolean inherited, boolean convertType) throws com.documentum.fc.common.DfException
    Deprecated.
    use `getTypeDefinition(String, TypeParameter)`
    Get type definition specified by the type name with session The returned result only contains info from dm_type The type property's attributes is controlled by attributeView. AttributeView.NONE will return attr_name only, others return all available property attributes
    Parameters:
      `dfType` - the dfc type object
      `attrAttributeView` - the attribute view
      `inherited` - indicates whether to include inherited attributes. `true` to include inherited attributes.
      `convertType` - whether convert type
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getCustomAttributes

    Set<String> getCustomAttributes(String type) throws com.documentum.fc.common.DfException
    get custom type attribute the assumption is custom type won't start with dm_ for any type start with dm_, nothing will be returned
    Parameters:
      `type` - the type name
    Returns:
      custom attribute name
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getTypeDefinition

    TypeObject getTypeDefinition(String type, TypeParameter typeParameter) throws com.documentum.fc.common.DfException
    get the type definition
    Parameters:
      `type` - the type name
      `typeParameter` - the `TypeParameter` used when getting the type definition
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getTypeDefinition

    TypeObject getTypeDefinition(com.documentum.fc.client.IDfTypedObject dfType, TypeParameter typeParameter) throws com.documentum.fc.common.DfException
    get the type definition by the query result against the dm_type only only basic attribute can be included, all other DD info won't be added no extra query will be executed
    Parameters:
      `dfType` - the query result
      `typeParameter` - the `TypeParameter` used when getting the type definition
    Returns:
      the type definition
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation